package com.kbstar.eai.common.header; 

import com.eactive.eai.common.header.HeaderActionSupport;
import com.eactive.eai.transformer.util.IConv;

/** 
* 1. 기능 : EBCDIC을 ASCII Single로 변환하는 Class
* 2. 처리 개요 : 
*     - 추가시에만 기능처리
* 3. 주의사항 
*     - AD 의 경우는 S는 ADD, R 는 DELETE
*     - DA 의 경우는 S는 DELETE, R 는 ADD
* @author  : 
* @version : v 1.0.0
* @see :
* @since : 
*/
public class E2AHexaHeaderAction extends HeaderActionSupport 
{ 
    private static final int HEADER_LENGTH = 0; //

    public E2AHexaHeaderAction(){
    	super.setHeaderLength(HEADER_LENGTH);
    	
    }

	public byte[] addHeaderDA(byte[] orgData , byte[] message) {
		return addHeader(orgData,message);   	

    }
	public byte[] addHeaderAD(byte[] orgData , byte[] message) {
		return addHeader(orgData,message);
        

    }   	
	public byte[] addHeader(byte[] orgData , byte[] message ) {
		byte[] full = null;
    	full = IConv.ebcdicHexaToASCIIHexa(message);
        return full;
    }   	
	
//	   public static void main(String args[]) throws Exception {
//		   String actionName = "com.kbstar.eai.common.header.E2AHexaHeaderAction";
//		   
//
//		    	   
//            
//            
//	    }	
} 

